######################
# Hardcode PLF build
%define build_plf 0
######################

%if %{build_plf}
%define distsuffix plf
%define extrarelsuffix plf
%endif

Summary:	CD-Burner for KDE4
Name:		k3b
Version:	2.0.2
Release:	11%{?extrarelsuffix}
Epoch:		4
License:	GPLv2+
Group:		Archiving/Cd burning
Url:		http://k3b.sourceforge.net/
Source0:	http://jaist.dl.sourceforge.net/sourceforge/k3b/%{name}-%{version}.tar.bz2
Source1:	k3b-docbook-ru.tar.bz2
Patch0:		k3b-2.0.2-ffmpeg2.0.patch
Patch1:		k3b-2.0.2-git-sox_not_found.diff
Patch3:		k3b-1.69-always-use-growisofs-for-dvd.patch
Patch4:		k3b-2.0.2-l10n-ru.patch
Patch5:		k3b-2.0.2-docbook-ru.patch
BuildRequires:	doxygen
BuildRequires:	kdelibs4-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libkcddb-devel
BuildRequires:	libmpcdec-devel
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(flac++)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(polkit-qt-1)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(vorbis)
%if %{build_plf}
BuildRequires:	liblame-devel
%else
BuildConflicts:	liblame-devel
%endif
Requires:	cdrecord
Requires:	mkisofs
Requires:	cdrdao
Requires:	sox
Requires:	vcdimager
Requires:	normalize
Requires:	dvd+rw-tools
Requires:	kdebase4-runtime
Suggests:	transсode

%description
K3b is CD-writing software which intends to be feature-rich and
provide an easily usable interface. Features include burning
audio CDs from .WAV and .MP3 audio files, configuring external
programs and configuring devices.

%if %{build_plf}
This package is in Restricted repository because it supports
mp3 encoding which is patent-protected.
%endif

%files -f %{name}.lang
%{_kde_bindir}/k3b
%{_kde_bindir}/k3bsetup
%{_kde_libdir}/kde4/kcm_k3bsetup.so
%{_kde_libdir}/kde4/kcm_k3boggvorbisencoder.so
%{_kde_libdir}/kde4/kio_videodvd.so
%{_kde_libdir}/kde4/k3bffmpegdecoder.so
%{_kde_libdir}/kde4/k3bflacdecoder.so
%{_kde_libdir}/kde4/k3bmaddecoder.so
%{_kde_libdir}/kde4/k3boggvorbisdecoder.so
%{_kde_libdir}/kde4/k3boggvorbisencoder.so
%{_kde_libdir}/kde4/k3bmpcdecoder.so
%{_kde_libdir}/kde4/k3blibsndfiledecoder.so
%{_kde_libdir}/kde4/k3baudiometainforenamerplugin.so
%{_kde_libdir}/kde4/k3baudioprojectcddbplugin.so
%{_kde_libdir}/kde4/k3bexternalencoder.so
%{_kde_libdir}/kde4/k3bsoxencoder.so
%{_kde_libdir}/kde4/k3bwavedecoder.so
%{_kde_libdir}/kde4/kcm_k3bexternalencoder.so
%{_kde_libdir}/kde4/kcm_k3bsoxencoder.so
%if %{build_plf}
%{_kde_libdir}/kde4/k3blameencoder.so
%{_kde_libdir}/kde4/kcm_k3blameencoder.so
%endif
%{_kde_datadir}/applications/kde4/k3b.desktop
%{_kde_datadir}/mime/packages/x-k3b.xml
%{_kde_appsdir}/k3b
%{_kde_appsdir}/konqsidebartng/virtual_folders/services/videodvd.desktop
%{_kde_appsdir}/solid/actions/*
%{_kde_datadir}/kde4/services/ServiceMenus/*.desktop
%{_kde_datadir}/kde4/services/*.desktop
%{_kde_datadir}/kde4/servicetypes/k3bplugin.desktop
%{_kde_datadir}/kde4/services/videodvd.protocol
%{_kde_iconsdir}/hicolor/*/apps/k3b.*
%{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.k3bsetup.conf
%{_kde_libdir}/kde4/libexec/k3bsetuphelper
%{_kde_datadir}/polkit-1/actions/org.kde.kcontrol.k3bsetup.policy
%{_kde_datadir}/dbus-1/system-services/org.kde.kcontrol.k3bsetup.service
%{_kde_datadir}/doc/HTML/*

#------------------------------------------------

%define libk3b_major 6
%define libk3b %mklibname k3blib %{libk3b_major}

%package -n %{libk3b}
Summary:	KDE 4 core library
Group:		System/Libraries

%description -n %{libk3b}
KDE 4 core library.

%files -n %{libk3b}
%{_kde_libdir}/libk3blib.so.%{libk3b_major}*

#------------------------------------------------

%define libk3bdevice_major 6
%define libk3bdevice %mklibname k3bdevice %{libk3bdevice_major}

%package -n %{libk3bdevice}
Summary:	KDE 4 core library
Group:		System/Libraries

%description -n %{libk3bdevice}
KDE 4 core library.

%files -n %{libk3bdevice}
%{_kde_libdir}/libk3bdevice.so.%{libk3bdevice_major}*

#------------------------------------------------

%package devel
Group:		Development/KDE and Qt
Summary:	Development libraries from %{name}
Requires:	%{libk3bdevice} = %{EVRD}
Requires:	%{libk3b} = %{EVRD}

%description devel
Development libraries from %{name}.

%files devel
%{_kde_includedir}/*.h
%{_kde_libdir}/libk3blib.so
%{_kde_libdir}/libk3bdevice.so

#------------------------------------------------

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1 -b .sox
%patch3 -p1 -b .dvd
%patch4 -p1 -b .l10n-ru
%patch5 -p1 -b .docbook-ru

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

%find_lang --with-html k3b k3bsetup kio_videodvd libk3b libk3bdevice %{name}.lang

%changelog
* Mon Jun 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4:2.0.2-11
+ Revision: 44165af
- Add russian docbook


